Bug 991812 - mail-notification system tray icon is messed up
mail-notification system tray icon is messed up
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: mail-notification (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dmitry Butskoy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-04 11:41 EDT by Jonathan Kamens
Modified: 2015-02-17 11:34 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:34:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
desktop screenshot with messed up mail-notification system tray icon (510.19 KB, image/png)
2013-08-04 11:41 EDT, Jonathan Kamens
no flags Details

  None (edit)
Description Jonathan Kamens 2013-08-04 11:41:49 EDT
Created attachment 782513 [details]
desktop screenshot with messed up mail-notification system tray icon

See attached screen shot. It appears as either a completely blank spot in the system tree, or a white square as shown in the screenshot. The problem is there whether or not there is unread mail, i.e., whether or not mail-notification is currently alerting.
Comment 1 Erik van Pienbroek 2013-08-04 12:17:57 EDT
I'm aware of the issue and I already spent numerous hours trying to get it properly fixed. The main problem is that mail-notification uses a lot of outdated/deprecated API which lack certain modern features. For example the tray icon is drawn using EggTrayIcon, which was the main method to draw tray icons before it got replaced by GtkStatusIcon in GTK 2.10.0 (which was released in 2006). Unfortunately upstream mail-notification didn't switch to using GtkStatusIcon and still uses the old (and broken on modern environments) EggTrayIcon.

I've already tried to rewrite the mail notification code in question but it turned out to very difficult due to the code architecture of mail-notification. The mail-notification code itself is written in a 'language' called gob. Code written in this 'language' can be translated to C by using the gob2 tool but as you can probably guess..nobody uses gob these days and it's hard to maintain.

There are also various issues in mail-notification regarding reference counts which cause random segfaults, but we still haven't been able to pinpoint the exact causes.

Long story short: in my opinion time can better be invested in a complete rewrite of mail-notification than to make it work properly on modern environments.
Comment 2 Jonathan Kamens 2013-08-04 12:19:12 EDT
Yuck. Is there an alternative tool to use in Fedora 19?
Comment 3 Erik van Pienbroek 2013-08-04 12:23:06 EDT
Not really. In Evolution itself there's a mail-notification plugin, but it only shows notifications for the Inbox and no tray icon.
Comment 4 Fedora End Of Life 2015-01-09 14:16:39 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 11:34:05 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.